Name:           ocaml-fileutils
Version:        0.5.0
Release:        %mkrel 2
Summary:        OCaml library for common file and filename operations
Group:          Development/OCaml
License:        LGPLv2+
URL:            http://ocaml-fileutils.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/1531/ocaml-fileutils-0.5.0.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  camlp4

%description
This library is intended to provide a basic interface to the most
common file and filename operations.  It provides several different
filename functions: reduce, make_absolute, make_relative...  It also
enables you to manipulate real files: cp, mv, rm, touch...

It is separated into two modules: SysUtil and SysPath.  The first one
manipulates real files, the second one is made for manipulating
abstract filenames.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
ocaml setup.ml -configure
ocaml setup.ml -build

%check
ocaml setup.ml -test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocaml setup.ml -install

%files
%doc README.txt
%dir %{_libdir}/ocaml/fileutils
%{_libdir}/ocaml/fileutils/*.cmi
%{_libdir}/ocaml/fileutils/*.cma
%{_libdir}/ocaml/fileutils/*.cmxs
%{_libdir}/ocaml/fileutils/META

%files devel
%doc COPYING.txt AUTHORS.txt CHANGELOG.txt README.txt TODO.txt
%{_libdir}/ocaml/fileutils/*.a
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/*.cmxa
%{_libdir}/ocaml/fileutils/*.ml
%{_libdir}/ocaml/fileutils/*.mli


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.5.0-2.mga6
+ Revision: 1056346
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 0.5.0-1.mga6
+ Revision: 928997
- Update to 0.5.0

* Wed Oct 15 2014 umeabot <umeabot> 0.4.5-5.mga5
+ Revision: 744052
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.5-4.mga5
+ Revision: 683033
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.5-3.mga4
+ Revision: 534710
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 malo <malo> 0.4.5-2.mga4
+ Revision: 478626
- rebuild for new ocaml

* Sun Jun 09 2013 malo <malo> 0.4.5-1.mga4
+ Revision: 441336
- update to 0.4.5

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-5.mga3
+ Revision: 361332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 0.4.4-4.mga3
+ Revision: 323484
- rebuild for new ocaml
- change BuildRequires to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.4-3.mga3
+ Revision: 301542
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.4-2.mga3
+ Revision: 300120
- new rpm group for ocaml

* Wed Jun 20 2012 malo <malo> 0.4.4-1.mga3
+ Revision: 262152
- new version 0.4.4
- adding native code modules

  + blue_prawn <blue_prawn>
    - clean the spec file to fit the Mageia policy

* Sun Oct 02 2011 shlomif <shlomif> 0.4.3-2.mga2
+ Revision: 151083
- Rebuild for new OCaml - thanks to Malo.

* Sun Sep 25 2011 shlomif <shlomif> 0.4.3-1.mga2
+ Revision: 147756
- Update to new version - thanks to Malo

* Mon Mar 07 2011 saispo <saispo> 0.4.0-1.mga1
+ Revision: 66253
- imported package ocaml-fileutils

